# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`login_defs`](#login_defs): Manage the configuration control definitions for the login package

### Data types

* [`Login_Defs::Option`](#login_defsoption): login.defs option

## Classes

### <a name="login_defs"></a>`login_defs`

Manage the configuration control definitions for the login package

#### Parameters

The following parameters are available in the `login_defs` class:

* [`options`](#options)
* [`package_ensure`](#package_ensure)
* [`package_manage`](#package_manage)
* [`package_name`](#package_name)
* [`owner`](#owner)
* [`group`](#group)
* [`mode`](#mode)

##### <a name="options"></a>`options`

Data type: `Hash[String, Login_Defs::Option]`

A hash of options to configure /etc/login.defs

Default value: ``undef``

##### <a name="package_ensure"></a>`package_ensure`

Data type: `String`

The login/shadow util package state to use when using $package_manage

Default value: `'installed'`

##### <a name="package_manage"></a>`package_manage`

Data type: `Boolean`

Set to true to manage the login/shadow utility package

Default value: ``false``

##### <a name="package_name"></a>`package_name`

Data type: `String[1]`

The package name to use when managing the login/shadow utility package

Default value: ``undef``

##### <a name="owner"></a>`owner`

Data type: `Variant[String[1], Integer]`

The owner to set on /etc/login.defs

Default value: `'root'`

##### <a name="group"></a>`group`

Data type: `Variant[String[1], Integer]`

The group to set on /etc/login.defs

Default value: `0`

##### <a name="mode"></a>`mode`

Data type: `String[3,4]`

The mode to set on /etc/login.defs

Default value: `'0644'`

## Data types

### <a name="login_defsoption"></a>`Login_Defs::Option`

login.defs option

Alias of

```puppet
Struct[{
    Optional['comment'] => String,
    Optional['enabled'] => Boolean,
    'value'             => Variant[String, Integer],
  }]
```

